Name:           maven
Version:        3.0.4
Release:        1%{?dist}
Summary:        Java project management and project comprehension tool

Group:          Development/Tools
License:        ASL 2.0 and MIT and BSD
URL:            http://maven.apache.org/
Source0:        http://www.apache.org/dist/maven/binaries/apache-%{name}-%{version}-bin.tar.gz
Source1:        maven-bash-completion


Requires:       java >= 1:1.6.0

BuildArch:      noarch

# maven now provides "mvn" script and new maven2 mvn2
Conflicts:      maven2 < 2.2.1-28

%description
Maven is a software project management and comprehension tool. Based on the
concept of a project object model (POM), Maven can manage a project's build,
reporting and documentation from a central piece of information.

%prep
%setup -q -n apache-%{name}-%{version}

# no use for them in rpm
rm bin/*bat

chmod -x lib/ext/README.txt conf/settings.xml

%build
# nothing to do


%install
export M2_HOME=$(pwd)
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/{bin,boot,conf,lib}
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}


###########
# M2_HOME #
###########
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}


###############
# M2_HOME/bin #
###############
# put global m2 config into /etc and symlink it back
mv $M2_HOME/bin/m2.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
cp -a $M2_HOME/bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}/bin

ln -sf %{_sysconfdir}/%{name}/m2.conf $RPM_BUILD_ROOT%{_datadir}/%{name}/bin/m2.conf

for script in mvn mvnDebug mvnyjp;do
    ln -sf %{_datadir}/%{name}/bin/$script $RPM_BUILD_ROOT%{_bindir}/$script
done


################
# M2_HOME/boot #
################
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/boot
cp -a $M2_HOME/boot/* $RPM_BUILD_ROOT%{_datadir}/%{name}/boot

################
# M2_HOME/conf #
################
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/conf
# put global maven settings into /etc and symlink it back
mv $M2_HOME/conf/settings.xml $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -sf %{_sysconfdir}/%{name}/settings.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/settings.xml

###############
# M2_HOME/lib #
###############
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib

cp -a $M2_HOME/lib/* $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/


############
# /usr/bin #
############
install -dm 755 $RPM_BUILD_ROOT%{_bindir}

# Wrappers
#cp -af %{SOURCE200} $RPM_BUILD_ROOT%{_bindir}/mvn
#cp -af %{SOURCE201} $RPM_BUILD_ROOT%{_bindir}/mvn-local
#cp -af %{SOURCE202} $RPM_BUILD_ROOT%{_bindir}/mvn-rpmbuild

# Install bash-completion
install -Dm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%files
%doc LICENSE.txt NOTICE.txt README.txt
%attr(0755,root,root) %{_bindir}/mvn
%attr(0755,root,root) %{_bindir}/mvnDebug
%attr(0755,root,root) %{_bindir}/mvnyjp
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/bin/m2.conf
%attr(0755,root,root) %{_datadir}/%{name}/bin/mvn
%attr(0755,root,root) %{_datadir}/%{name}/bin/mvnyjp
%attr(0755,root,root) %{_datadir}/%{name}/bin/mvnDebug
%config(noreplace) %{_sysconfdir}/%{name}/
%{_datadir}/%{name}/boot
%{_datadir}/%{name}/conf
%{_datadir}/%{name}/lib
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}



%changelog
* Thu Feb  9 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.4-1
- First simple rpm version out of Apache binary tarballs

